/* ------------------------------------------------------------ *\
	Image main
\* ------------------------------------------------------------ */

.image--main {
	position: relative;
	height: 487px;

	.image-inner {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-size: cover;
		background-position: center center;
		background-repeat: no-repeat;
		transition: opacity .4s;

		&:hover {
			opacity: .8;
		}
	}

	&-alt {
		height: 476px;
	}

	.link-more {
		position: absolute;
		bottom: 20px;
		right: 20px;
		z-index: 10;
	}

	.btn {
		position: absolute;
		bottom: 31px;
		right: 45px;
		height: 54px;
		line-height: 54px;
		padding: 0 20px;
		min-width: 236px;
		z-index: 10;
	}

	@media #{$mobile} {
		height: 335px;

		&-alt {
			height: 356px;
		}

		.link-more {
			bottom: auto;
			top: 31px;
			right: 26px;
			color: #fff;

			.ico-arrow {
				border-color: #fff;
			}
		}

		&.image--main-secondary {
			height: 328px;
			margin-top: -1px;

			.link-more {
				top: auto;
				bottom: 26px;
				right: auto;
				left: 32px;
			}
		}

		.btn {
			right: 20px;
			height: 42px;
			line-height: 42px;
			padding: 0 10px;
			min-width: 118px;
			font-size: 10px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Image primary
\* ------------------------------------------------------------ */

.image--primary {
	position: relative;
	background-size: cover;
	background-position: center center;
	background-repeat: no-repeat;
	height: 543px;

	&-small {
		height: 258px;
	}
}

/* ------------------------------------------------------------ *\
	Images primary
\* ------------------------------------------------------------ */

.images--secondary {
	.cols {
		overflow: hidden;
		margin: 0;
		display: flex;
		flex-flow: row wrap;
		justify-content: space-between;
	}

	.col {
		padding: 0;
	}

	.col-size-1 {
		flex: 0 0 17.3%;
		max-width: 17.3%;
	}

	.col-size-2 {
		flex: 0 0 30.8%;
		max-width: 30.8%;
	}
}

/* ------------------------------------------------------------ *\
	Image secondary alt
\* ------------------------------------------------------------ */

.image--secondary {
	position: relative;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;
	height: 448px;
	margin-right: -1px;

	&:hover {
		> a {
			background: rgba(0, 0, 0, .68)
		}

		.image--secondary-content  {
			visibility: visible;
			opacity: 1;
			transform: translate(-50%, -65%);
		}
	}

	&-small {
		height: 224px;

		&:hover {
			.image--secondary-content  {
				transform: translate(-50%, -50%);
			}
		}
	}

	> a {
		position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		transition: background .4s;
	}

	h6 {
		font-size: 14px;
		font-weight: 600;
		text-transform: uppercase;
		line-height: 1.6;
	}

	i {
		margin-bottom: 24px;
		font-size: 44px;
	}

	.image--secondary-content {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -40%);
		text-align: center;
		color: #fff;
		visibility: hidden;
		opacity: 0;
		transition: visibility .4s, opacity .4s, transform .4s;
	}
}
